import { EventData, Observable } from "@nativescript/core/data/observable";
import { Page } from "@nativescript/core/ui/page";

let pageData = new Observable();

export function pageLoaded(args: EventData) {
    let page = <Page>args.object;
    page.bindingContext = pageData;
}

export function showDialog(args) {
    const page = args.object.page as Page;
    page.showModal("~/modal/modal", {
        fullscreen: true,
        context: null,
        closeCallback: result => {
            if (result) {
                console.log("Result was: ", result);
            }
        },
    });
}

export function closeDialog() {}
